[问题]升级内核linux-image-2.6.20-13-generic出现错误!!

系统错误报告和讨论
回复
seanfj
帖子: 90
注册时间: 2007-02-09 23:36
来自: China
送出感谢: 0
接收感谢: 0
联系:

[问题]升级内核linux-image-2.6.20-13-generic出现错误!!

#1

帖子 seanfj » 2007-03-28 10:45

升级时出现了下面的错误,请会的帮忙解决下…………

代码: 全选

正在设置 linux-image-2.6.20-13-generic (2.6.20-13.21) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-13-generic
The provided postinst hook script [/sbin/update-grub] could not be run.
dpkg:处理 linux-image-2.6.20-13-generic (--configure)时出错:
 子进程·post-installation script·返回了错误号·2
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
 linux-image-generic 依赖于 linux-image-2.6.20-13-generic;然而:
  软件包 linux-image-2.6.20-13-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-2.6.20-13-generic 的配置工作不能继续:
 linux-restricted-modules-2.6.20-13-generic 依赖于 linux-image-2.6.20-13-generic;然而:
  软件包 linux-image-2.6.20-13-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-2.6.20-13-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-restricted-modules-generic 的配置工作不能继续:
 linux-restricted-modules-generic 依赖于 linux-restricted-modules-2.6.20-13-generic;然而:
  软件包 linux-restricted-modules-2.6.20-13-generic 还没有被配置。
dpkg:处理 linux-restricted-modules-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
 linux-generic 依赖于 linux-image-generic;然而:
  软件包 linux-image-generic 还没有被配置。
 linux-generic 依赖于 linux-restricted-modules-generic;然而:
  软件包 linux-restricted-modules-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
 依赖关系问题 - 仍未被配置
在处理时有错误发生:
 linux-image-2.6.20-13-generic
 linux-image-generic
 linux-restricted-modules-2.6.20-13-generic
 linux-restricted-modules-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
回复

回到 “Ubuntu错误报告”